commit a42a02e1a7419aa7a0de2ab3a32cc0a727eaa5c1
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Aug 23 21:06:41 2012 +0200

    app: adapt tests to file_save() API change

 app/tests/test-save-and-export.c |    9 ++++++---
 app/tests/test-xcf.c             |    3 ++-
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 1ba763e1dcc2c56ea57f24365d9e157a0328894c
Author: Mikael Magnusson <mikachu@src.gnome.org>
Date:   Thu Aug 23 20:10:01 2012 +0200

    NEWS: fix another small typo

 NEWS |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 846ce09b83c5e23c3d52a03693a80780ae1fd43f
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Aug 23 20:08:27 2012 +0200

    configure: bump version to 2.8.2 and commit regenerated files

 configure.ac     |    4 ++--
 docs/gimprc.5.in |    2 +-
 etc/gimprc       |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 92d400a2393aeb4c0a5ee10dbe3f71a270476501
Author: Mikael Magnusson <mikachu@src.gnome.org>
Date:   Thu Aug 23 20:07:51 2012 +0200

    NEWS: fix small typo

 NEWS |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fef532a108c0d72a1fec49a431308b867050e09d
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Aug 23 19:56:15 2012 +0200

    devel-docs: add the new even/odd micro version policy to release-howto

 devel-docs/release-howto.txt |    9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit f3788ae9c3f553ae47373fcb95140328f5b3a974
Author: Jernej Simončič <jernej+s-gnome@eternallybored.org>
Date:   Thu Aug 23 19:28:33 2012 +0200

    Installer: use ${gimp_installation_dir} when setting environment
    instead of
    hardcoding installation path

 build/windows/installer/gimp3264.iss |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 2048d65ac1d5d1460c982fe504c706b9d0c8c597
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Aug 23 19:27:16 2012 +0200

    NEWS: update for 2.8.2

 NEWS |  634
 +++---------------------------------------------------------------
 1 file changed, 23 insertions(+), 611 deletions(-)

commit 037af495adeaf6b6a862c47250c528180d6ca1dd
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Aug 22 01:44:56 2012 +0200

    Updated Polish translation

 po-plug-ins/pl.po |    8 +-
 po-tips/pl.po     |  374
 ++++++++++++++++++++++++++---------------------------
 po/pl.po          |  248 +++++++++++++++++------------------
 3 files changed, 315 insertions(+), 315 deletions(-)

commit d16776ecb6dc1edff8b04cba41f54b49908b0c41
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Aug 20 20:07:00 2012 +0200

    Updated Spanish translation

 po-plug-ins/es.po |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 06835ad73c34af58f8a7c31cc282dc954e73bc40
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Aug 20 20:04:46 2012 +0200

    Updated Spanish translation

 po-plug-ins/es.po |  244
 ++++++++++++++++++++++++++++++++---------------------
 1 file changed, 146 insertions(+), 98 deletions(-)

commit 4e46009b6b3f2661712f1a1044e59faf46b97420
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Aug 20 15:02:24 2012 +0200

    Updated Polish translation

 po-plug-ins/pl.po |   83
 +++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 71 insertions(+), 12 deletions(-)

commit 6b642a26daaf0204fa9a6cf622a6b459e3a059ef
Author: Nils Philippsen <nils@redhat.com>
Date:   Tue Aug 14 15:27:39 2012 +0200

    file-gif-load: fix type overflow (CVE-2012-3481)

    Cast variables properly to avoid overflowing when computing how much
    memory to allocate.
    (cherry picked from commit 43fc9dbd8e2196944c8a71321e525b89b7df9f5c)

 plug-ins/common/file-gif-load.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4347b3496abd56d8419f3a14cc97fac25e6f546d
Author: Jan Lieskovsky <jlieskov@redhat.com>
Date:   Tue Aug 14 12:18:22 2012 +0200

    file-gif-load: limit len and height (CVE-2012-3481)

    Ensure values of len and height can't overflow g_malloc() argument
    type.
    (cherry picked from commit d95c2f0bcb6775bdee2bef35b7d84f6dfd490783)

 plug-ins/common/file-gif-load.c |    7 +++++++
 1 file changed, 7 insertions(+)

commit a21aceedf1de04afc8fc06109786e9a1431504b9
Author: Nils Philippsen <nils@redhat.com>
Date:   Fri Jul 13 15:33:27 2012 +0200

    file-cel: use g_set_error() for errors instead of g_message()
    (cherry picked from commit 86f4cd39bd493c88a7a19b56d1827d8b911e07f6)

 plug-ins/common/file-cel.c |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 89f4c4042f69c2647f854c5824cb583dfadb6834
Author: Nils Philippsen <nils@redhat.com>
Date:   Fri Jul 13 15:30:44 2012 +0200

    file-cel: use statically allocated palette buffer
    (cherry picked from commit 69b98191cf315bcf0f7b8878896c01600e67c124)

 plug-ins/common/file-cel.c |    6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit a605d0c4d5c2c77bfe03204423dc3ad70dfa3483
Author: Nils Philippsen <nils@redhat.com>
Date:   Fri Jul 13 15:20:06 2012 +0200

    file-cel: validate header data (CVE-2012-3403)
    (cherry picked from commit b772d1b84c9272bb46ab9a21db4390e6263c9892)

 plug-ins/common/file-cel.c |   83
 +++++++++++++++++++++++++++++++++++++-------
 1 file changed, 70 insertions(+), 13 deletions(-)

commit 3db516f1e7b1be59ab434925256489178376725c
Author: Nils Philippsen <nils@redhat.com>
Date:   Thu Jul 12 15:50:02 2012 +0200

    file-cel: check fread()/g_fopen() return values and pass on errors
    (cherry picked from commit 797db58b94c64f418c35d38b7a608d933c8cebef)

 plug-ins/common/file-cel.c |  190
 +++++++++++++++++++++++++++++++++++++-------
 1 file changed, 160 insertions(+), 30 deletions(-)

commit 24130eec55c07ff0ad9e54c9dbac9ca2005565ed
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Aug 14 09:23:16 2012 +0200

    Bug 681799 - Canvas size doesn't show preview after canceling once

    gimp_viewable_get_pixbuf(): if there is a cached pixbuf of the right
    size, actually return it, instead of the local "pixbuf" variable which
    is always NULL.
    (cherry picked from commit 276b5072855de5e57fb4a83cfdb0e628eee2a473)

 app/core/gimpviewable.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bf9f91923c12104f6f82899ed689db1040c80a1c
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Sun Aug 12 12:00:12 2012 +0900

    [l10n] Update Japanese translation

    Modify the About label

 po/ja.po |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit f63d58a5544848a6cfff0217630af7ca4ae83067
Author: Muhammet Kara <muhammetk@acikkaynak.name.tr>
Date:   Thu Aug 9 10:07:00 2012 +0300

    [l10n]Updated Turkish translation

 po-libgimp/tr.po |  168
 ++++++++++++++----------------------------------------
 1 file changed, 44 insertions(+), 124 deletions(-)

commit 31ef6fb398d38321000249d8b2b889658fd4c89e
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Thu Aug 9 00:17:46 2012 +0530

    Updated Telugu Translation

 po/te.po | 1913
 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 930 insertions(+), 983 deletions(-)

commit b35c3381b19d302fdfc80e27b3e92ba5775b39cb
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Thu Aug 9 00:01:38 2012 +0530

    Updated Telugu Translation

 po/te.po |   74
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 37 insertions(+), 37 deletions(-)

commit 47b0212a779385669efe9e2ef47223dc1c0a27a8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Aug 8 02:02:56 2012 +0200

    Updated Polish translation

 po-plug-ins/pl.po |   22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

commit b91f60602a0787c5ad996fadf22c7d721ae13e04
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Aug 7 16:02:43 2012 +0200

    Bug 678297 - Cannot find Page Setup in Gimp 2.8

    Embed the page setup dialog only on non-windows systems. This
    effectively reverts bdc3f7e7e0495b599a712c917d6ab17f05f92164 but puts
    the diff in #if[n]def EMBED_PAGE_SETUP which is defined as
    !G_OS_WIN32. Did not revert the bug fixes that were mixed with
    the original embedding patch.
    (cherry picked from commit 73fc1df8fff33df87caf8311b9d9e27ac4d9ba20)

 plug-ins/print/print-page-setup.c |   20 +++++
 plug-ins/print/print-page-setup.h |   11 ++-
 plug-ins/print/print.c            |  165
 ++++++++++++++++++++++++++++++++++++-
 plug-ins/print/print.h            |    4 +
 4 files changed, 193 insertions(+), 7 deletions(-)

commit 15c8b3f850047c238278dfe6a8ba1eda4bd949e4
Author: Clayton Walker <blender3dartist@gmail.com>
Date:   Sat Aug 4 18:19:38 2012 -0400

    Update osx build scripts, readme, and fix font issue

 build/osx/Info.plist         |    2 +
 build/osx/README             |    6 +-
 build/osx/gimp-python.bundle |  177 ++++++++++++++++++++++++++++++++
 build/osx/gimp.modules       |  229
 +++++++++++++++++++++++++++++++++++++-----
 build/osx/gtkrc              |    2 +-
 build/osx/jhbuildrc-gimp     |    2 +-
 build/osx/launcher-python.sh |   75 ++++++++++++++
 build/osx/launcher.sh        |   19 ++--
 8 files changed, 478 insertions(+), 34 deletions(-)

commit 209116fcadd7b1c44397a906f196c6afa5607575
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Aug 4 02:18:15 2012 +0200

    Bug 678732 - gimp-image-insert-layer inserts into a wrong place...

    Fix the docs, the function does what it's supposed to do.  Passing
    "0, -1" actually means "insert where the ui would insert" and is
    supposed to be used when e.g. scripts create layers.
    (cherry picked from commit e620eb8cefe565d372959eba3aee8dfbb8c5734f)

 app/pdb/image-cmds.c       |    2 +-
 libgimp/gimpimage_pdb.c    |    5 +++--
 tools/pdbgen/pdb/image.pdb |   15 ++++++++-------
 3 files changed, 12 insertions(+), 10 deletions(-)

commit 92f348a96c1beb711b80150600777ee238bf3aa4
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Aug 4 00:04:47 2012 +0200

    app: improve error message when failing to load an ABR version 6 brush
    (cherry picked from commit 47c94fc2280c87cee9c9e735ae1a5a6569e7dc9c)

 app/core/gimpbrush-load.c |   22 +++++++++++++++++++---
 1 file changed, 19 insertions(+), 3 deletions(-)

commit 977311dff84b9a17973e25a3f52b37a8b4863875
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Jul 31 15:14:20 2012 +0200

    Bug 680432 - metadata.exe keeps dying

    Based on a patch by Hartmut Kuhse, run all strings through
    gimp_any_to_utf8() which always returns something that's UTF-8, even
    if it's only "(invalid UTF-8 String)". Better than crashing.
    (cherry picked from commit c207e395fd522d870947e47261da6592c1e4c45c)

 plug-ins/metadata/xmp-encode.c |    8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 3445d5f214f9cb64697085541bd449a6b8c56091
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Jul 30 18:04:27 2012 +0200

    Bug 669795 - Toolbox can't be shrinked to 1 or 2 columns

    Reduce the requested width of the "You can drop foo here" label to 16
    pixels, which makes is look a bit crappy, but at least the toolbox
    becomes shrinkable to < 3 columns. Whoever keeps this empty space
    around without using it shall henceforth be punished by having to see
    that distorted and misplaced label.
    (cherry picked from commit 573faa39b006056af4436003a3034200c2b34248)

 app/widgets/gimppanedbox.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7fd0895c0ca11368f0fdffed39d197c9c778151c
Author: Michael Henning <drawoc@darkrefraction.com>
Date:   Sun Jul 29 12:36:31 2012 -0400

    Bug 680795 - GIMP segfaults in gimp_clipboard_set_buffer when...

    Fix segfault in gimp_clipboard_set_buffer when n_target_entries is 0.
    (cherry picked from commit e060da827835a61f3c30140d24e61311b21affb4)

 app/widgets/gimpclipboard.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 64b1ade7b05ba3f6523285808b69a96b35fed6f7
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Jul 30 16:20:11 2012 +0200

    Bug 586462 - Layer inserts misplaced

    Another attempt to fix paste/drop positions for good.

    Paste/drop target is either the selected area of a drawable, the
    drawable itself, or the image:

    - if the paste is larger than the target, center on the target
    - if there is a viewport, and the viewport intersects with the
      target, center on the intersection
    - otherwise, center on the target

    Finally, if we did viewport-centered pasting, make sure the paste is
    as completely within image bounds as possible.
    (cherry picked from commit eda6fa1c14777a534711fe05821ef308023fe4e7)

 app/core/gimp-edit.c               |   92
 ++++++++++++++++++++++++------------
 app/display/gimpdisplayshell-dnd.c |   34 ++++++++-----
 2 files changed, 84 insertions(+), 42 deletions(-)

commit 67525e4c6b6a69cc6513d56496c181960c56542f
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Sun Jul 29 09:40:48 2012 +0900

    Update Korean translation

 po/ko.po | 1031
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 519 insertions(+), 512 deletions(-)

commit 7d985af68f41de6eb4932515307d0a12579e1a82
Author: Marco Ciampa <ciampix@libero.it>
Date:   Sat Jul 28 14:12:54 2012 +0200

    Fixed italian po files plural forms

 po-libgimp/it.po   |    2 +-
 po-plug-ins/it.po  |    2 +-
 po-python/it.po    |    1 +
 po-script-fu/it.po |    1 +
 po-tags/it.po      |    1 +
 po-tips/it.po      |    1 +
 po/it.po           |    2 +-
 7 files changed, 7 insertions(+), 3 deletions(-)

commit d400813027e7071fa638712973b4653d470bceda
Author: Marco Ciampa <ciampix@libero.it>
Date:   Sat Jul 28 00:03:13 2012 +0200

    Small fix in italian windows setup translation.

 build/windows/installer/lang/it.setup.isl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 049258a70133dea606c498e2b9dcfd465fa13971
Author: Jernej Simončič <jernej+s-gnome@eternallybored.org>
Date:   Fri Jul 27 22:05:13 2012 +0200

    Installer: adjust associations label height automatically according
    to text length

 build/windows/installer/files.isi    |    2 +-
 build/windows/installer/gimp3264.iss |    2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 757b5709e4fdd02bdc709a0ba1eb3afd86b82693
Author: Jernej Simončič <jernej+s-gnome@eternallybored.org>
Date:   Fri Jul 27 00:51:49 2012 +0200

    Installer: include Italian translation in script

 build/windows/installer/gimp3264.iss |    1 +
 1 file changed, 1 insertion(+)

commit 5f646592a2c5eeec3035ad4c96c925638aaddadd
Author: Jernej Simončič <jernej+s-gnome@eternallybored.org>
Date:   Fri Jul 27 00:49:28 2012 +0200

    Installer: request restart if files couldn't be deleted during
    uninstall

 build/windows/installer/32on64.isi   |    4 +-
 build/windows/installer/files.isi    |   20 +++++-----
 build/windows/installer/gimp3264.iss |   68
 +++++++++++++++++-----------------
 3 files changed, 46 insertions(+), 46 deletions(-)

commit cff132d90bfc375b7a65d76ae7d705191438385a
Author: Marco Ciampa <ciampix@libero.it>
Date:   Fri Jul 27 00:36:23 2012 +0200

    Added Windows installer italian translation.

 build/windows/installer/lang/it.setup.isl |  113
 +++++++++++++++++++++++++++++
 1 file changed, 113 insertions(+)

commit cab6d84867bc3f80c30221d597435060b2c16d97
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Jul 26 18:33:05 2012 +0200

    Bug 677987 - Don't allow to assign keybindings with arrow keys...

    Disable assigning arrow-key bindings in gimpactionview.c
    (cherry picked from commit decc03ae04b042e627a1070591901728a8063c26)

 app/widgets/gimpactionview.c |   11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit d6091dbce6f1b60ec606db1e59be7cb069a87477
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Jul 26 18:17:01 2012 +0200

    Bug 678890 - Selection box handles do not respond after changing layer

    Make sure that temporarily setting/unsetting tool->control's "preserve
    tool across image changes" does not mess up the default value:

    Introduce gimp_tool_control_push/pop_preserve() which restores the old
    state automatically, and use it in all tools, instead of saying
    set_preserve(TRUE/FALSE) around image changes.
    (cherry picked from commit 078128bb09dbca458b4f2f98cbf6d4140b357b29)

 app/tools/gimpcagetool.c            |    8 ++++----
 app/tools/gimpimagemaptool.c        |   24 ++++++++++++------------
 app/tools/gimprectangleselecttool.c |   24 ++++++++++++------------
 app/tools/gimptoolcontrol.c         |   27 +++++++++++++++++++++++++++
 app/tools/gimptoolcontrol.h         |    6 ++++++
 app/tools/gimptransformtool.c       |    4 ++--
 6 files changed, 63 insertions(+), 30 deletions(-)

commit 0a450f8e22f3b8d54a7be32f07e7bd51717a162b
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Jul 26 16:26:14 2012 +0200

    Bug 680531 - Function gimp-context-get-brush-size takes size
    argument...

    The context getters need PDB @outargs, not @inargs. This "API change"
    is OK in stable because the API was totally unusable before this fix.
    (cherry picked from commit 01dffdc276af6047fee130954cb467a30ef8a5f9)

 app/pdb/context-cmds.c       |  141
 +++++++++++++++++++++---------------------
 libgimp/gimpcontext_pdb.c    |   45 +++++++-------
 libgimp/gimpcontext_pdb.h    |    6 +-
 tools/pdbgen/pdb/context.pdb |    6 +-
 4 files changed, 99 insertions(+), 99 deletions(-)

commit 7506a26940a544980dbd10b0b32dc669e9ba1336
Author: Jernej Simončič <jernej+s-gnome@eternallybored.org>
Date:   Sat Jul 21 22:50:02 2012 +0200

    Installer: move language files to a subdirectory

 build/windows/installer/de.setup.isl      |  113
 -----------------------------
 build/windows/installer/en.setup.isl      |  113
 -----------------------------
 build/windows/installer/gimp3264.iss      |    6 +-
 build/windows/installer/lang/de.setup.isl |  113
 +++++++++++++++++++++++++++++
 build/windows/installer/lang/en.setup.isl |  113
 +++++++++++++++++++++++++++++
 build/windows/installer/lang/sl.setup.isl |  105
 +++++++++++++++++++++++++++
 build/windows/installer/sl.setup.isl      |  105
 ---------------------------
 7 files changed, 334 insertions(+), 334 deletions(-)

commit a56ae5a82d1621f1a99a6051b62378491be43d1f
Author: Michael Muré <mure.michael@gmail.com>
Date:   Sun May 6 16:42:55 2012 +0900

    fix autogen.sh to work with automake 1.12

 autogen.sh |    3 +++
 1 file changed, 3 insertions(+)

commit f4ce57aa9709e492666c16259e81625a3e4a7796
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Jul 17 22:52:49 2012 +0200

    Bug 676566 - Window title becomes "Untitled" after exporting without
    saving

    Fix this and other issues more globally by moving the logic that
    formats the image's display name into the GimpImage object, and return
    the properly formatted name, e.g. "Foo.xcf", or "[Foo] (imported)"
    from gimp_image_get_display_name().

    Also add gimp_image_get_display_path() which returns the full path
    instead. Use the two functions for formatting the image title, and
    apply various other fixes that make sure the UI always uses the same
    string to identify the image.

    Call gimp_object_name_changed() whenever the save/export status
    changes, so the image's cached display name and path get cleared.

    (cherry picked from commit 220b28677be00ec407ff7f274e395ad934be27af)

 app/actions/debug-commands.c         |    4 +-
 app/actions/file-commands.c          |    6 +-
 app/actions/windows-actions.c        |   18 +----
 app/core/gimpimage-private.h         |    1 +
 app/core/gimpimage.c                 |  133
 +++++++++++++++++++++++++++++++---
 app/core/gimpimage.h                 |    1 +
 app/display/gimpdisplayshell-title.c |   93 +-----------------------
 app/file/file-open.c                 |    6 +-
 app/file/file-save.c                 |    2 +
 app/pdb/image-cmds.c                 |    7 +-
 tools/pdbgen/pdb/image.pdb           |    7 +-
 11 files changed, 153 insertions(+), 125 deletions(-)

commit 805790885379551f88955c81800e2631bdd4c168
Author: Jernej Simončič <jernej+s-gnome@eternallybored.org>
Date:   Mon Jul 16 22:20:12 2012 +0200

    Installer: handle /32 properly when reboot is needed before install
    can continue

 build/windows/installer/rebootcontinue.isi |    3 +++
 1 file changed, 3 insertions(+)

commit a125d8daccd4485a0983ce37a377e4720e90a9a2
Author: Jernej Simončič <jernej+s-gnome@eternallybored.org>
Date:   Sat Jul 14 16:06:34 2012 +0200

    Installer: remember /32 switch between runs

 build/windows/installer/gimp3264.iss |   29 ++++++++++++++++++++++-------
 1 file changed, 22 insertions(+), 7 deletions(-)

commit 862bbb829f45d61ebd862dfa51e2d971dac38725
Author: Jernej Simončič <jernej+s-gnome@eternallybored.org>
Date:   Sat Jul 14 14:16:21 2012 +0200

    Installer: add /32 command-line parameter to force install of 32-bit
    version on x64

 build/windows/installer/gimp3264.iss |   24 ++++++++++++++++++++++--
 1 file changed, 22 insertions(+), 2 deletions(-)

commit c3e904fab1b29224b7dd55bb5b4af49f34c3b335
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Jul 14 00:11:17 2012 +0200

    app: don't ask to confirm reverting "Untitled" when the image was
    imported
    (cherry picked from commit b0170ee5ea57a05e6ea6958f33c1ee9a80a2cb97)

 app/actions/file-commands.c |   16 ++++------------
 1 file changed, 4 insertions(+), 12 deletions(-)

commit d8e71085cc4333e5dc948635dea75ec55ec23e6e
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Jul 13 23:50:07 2012 +0200

    app: create thumbnails also for imported files, not only for XCFs

    file_open_with_proc_and_display(): Use gimp_image_get_any_uri() to
    check if the opened file has the same URI as the one passed in so
    the logic works for non-XCF too.
    (cherry picked from commit afa81b5fbf753f82dd3c12c7795c38bd1aade372)

 app/file/file-open.c |    8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit d363043370d9f08afa540d89f131c6955804f1a1
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Wed Jul 11 20:13:14 2012 +0400

    Updates and fixes to Russian translation

 po-plug-ins/ru.po |  222 +++++++---
 po/ru.po          | 1278
 +++++++++++++++++++++++++++--------------------------
 2 files changed, 811 insertions(+), 689 deletions(-)

commit 40deca6c048c7348f9ff2156b37a75fbb700264c
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Jul 9 22:53:17 2012 +0200

    Bug 679256 - SWM image tabs must have a minimum width

    Set all tabs to the same width so very narrow images' tabs stay
    clickable.
    (cherry picked from commit 2c54f4b340ce9878f32fcd92b2eeb13bd086b88a)

 app/display/gimpimagewindow.c |    1 +
 1 file changed, 1 insertion(+)

commit ee4a81d4189f5f41faec53aa8d97c1eb9c19ef20
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Jul 6 15:27:11 2012 +0200

    Corrections to the Hungarian translation

 po/hu.po | 1102
 ++++++++++++++++++--------------------------------------------
 1 file changed, 308 insertions(+), 794 deletions(-)

commit 917e2f9c9067eea0e77263f802c9663a57b8950a
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Jul 6 15:18:24 2012 +0200

    Updated Hungarian translation by Andras Prim <gimme_at_primandras.hu>

 po/hu.po | 7449
 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 3642 insertions(+), 3807 deletions(-)

commit 5d2933c51caa10c088c061187d79d78aa57699ba
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Thu Jul 5 18:07:57 2012 +0200

    app: don't pass a NULL widget to gtk_widget_event

    <Alt>C C <Ctrl>1 <ESC> used to print:

    (gimp-2.8:1): Gtk-CRITICAL **: IA__gtk_widget_event:
                    assertion `GTK_IS_WIDGET (widget)' failed

 app/tools/gimpcurvestool.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 05da156b30ce95f5b90c0ec1dcd1a69cb5fcda61
Author: Jernej Simončič <jernej+s-gnome@eternallybored.org>
Date:   Tue Jul 3 22:10:38 2012 +0200

    Installer: adjust association buttons width according to text length
    (German text was way too long for the default button widths)

    Also fix empty lines in Ready Memo on upgrades (Select Directory page
    isn't shown for upgrades, so there's no install directory text shown)

 build/windows/installer/gimp3264.iss |   45
 ++++++++++++++++++++++++++++++----
 1 file changed, 40 insertions(+), 5 deletions(-)

commit 2b6bdfaa041a133ec900561c001cb860c87928c5
Author: Jernej Simončič <jernej+s-gnome@eternallybored.org>
Date:   Tue Jul 3 22:10:06 2012 +0200

    Installer: add German translation

 build/windows/installer/de.setup.isl |  113
 ++++++++++++++++++++++++++++++++++
 1 file changed, 113 insertions(+)

commit dca5b0896b823abde17826a0b993a12d27a971e9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Jul 2 20:27:38 2012 +0200

    Updated Polish translation

 po-plug-ins/pl.po |  118
 ++++++++++++++++++++++++++---------------------------
 1 file changed, 59 insertions(+), 59 deletions(-)

commit b874c8af1e7d06a0ca88459427aaaf0b037702b4
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Sat Jun 30 13:05:55 2012 +0200

    Bug 679082: Crash after using Rotate tool

 app/display/gimptooldialog.c |   20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit ec6db4b994dc7079881d3ab5747f06c0a3fc8773
Author: Timo Jyrinki <timo@debian.org>
Date:   Tue Jun 26 20:33:54 2012 +0300

    Updated po-tips Finnish translation by Janne Peltonen.

 po-tips/fi.po |  358
 +++++++++++++++++++++++++++++----------------------------
 1 file changed, 180 insertions(+), 178 deletions(-)

commit d8b4de413a2d2a6173b2f4fb6fb140500a0f0458
Author: Timo Jyrinki <timo@debian.org>
Date:   Tue Jun 26 20:18:26 2012 +0300

    Updated Finnish translation by Janne Peltonen.

 po-libgimp/fi.po | 1703 +++++++++++++---------
 po/fi.po         | 4146
 ++++++++++++++++++++++++++++++------------------------
 2 files changed, 3365 insertions(+), 2484 deletions(-)

commit 8a0e26773cbeda8afba43fac63e206d6b7672dcc
Author: Marco Ciampa <ciampix@libero.it>
Date:   Mon Jun 25 17:45:47 2012 +0200

    Updated italian translation.

 po/it.po |   90
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 47 insertions(+), 43 deletions(-)

commit bf503ea7dd7b0e4e619b940e76c1dcd57cac3cf0
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Sun Jun 24 13:23:10 2012 +0200

    app: compress motion events up to the first release event

    I'm not sure if it'd be better to compress only sequence
    of contiguous motion events, thinking to the case of anticipating
    a motion event before a modifier key press/release.

 app/display/gimpdisplayshell-tool-events.c |   14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 313ef397cdf642f9d708f3def99f2ee7ce80a0f7
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Thu Jun 21 19:04:31 2012 +0200

    Bug 677040: PDF export does not appear to handle font size...

    ...correctly unless image flattened

    Font size was wrong unless in pixels and
    gimp_drawable_type returns a GimpImageType

 plug-ins/common/file-pdf-save.c |    7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 8f2246578d8f5f9b23dcd85131bbdde934b1f080
Author: Jernej Simončič <jernej+s-gnome@eternallybored.org>
Date:   Thu Jun 21 00:12:43 2012 +0200

    Installer: display a warning when color depth < 32BPP

 build/windows/installer/en.setup.isl |    5 ++++
 build/windows/installer/gimp3264.iss |   53
 +++++++++++++++++++++++++++-------
 build/windows/installer/sl.setup.isl |    5 ++++
 3 files changed, 53 insertions(+), 10 deletions(-)

commit f3085d2879663a982267f3c959fe80cc0493dd50
Author: Jernej Simončič <jernej+s-gnome@eternallybored.org>
Date:   Wed Jun 20 17:05:28 2012 +0200

    Installer: fix permissions, add .gitignore

 build/windows/installer/.gitignore |    4 ++++
 1 file changed, 4 insertions(+)

commit b99e80dc90d78c9c1e6b94184fffb496de83ddda
Author: Jernej Simončič <jernej+s-gnome@eternallybored.org>
Date:   Wed Jun 20 17:04:02 2012 +0200

    Installer: oops, remove duplicate function

 build/windows/installer/utils.isi |    9 ---------
 1 file changed, 9 deletions(-)

commit 416dfc458430dc4cd61762c3708e079d7556cac8
Author: Jernej Simončič <jernej+s-gnome@eternallybored.org>
Date:   Wed Jun 20 16:34:53 2012 +0200

    Installer: allow override of system-wide configuration files with
    custom
    versions during install

 build/windows/installer/configoverride.isi |   36 +++++++++++++++
 build/windows/installer/gimp3264.iss       |   65
 +++++++++++++++++++++++++++-
 build/windows/installer/utils.isi          |    9 ++++
 3 files changed, 109 insertions(+), 1 deletion(-)

commit 8be0541df539b0e057bb82c0ec31c97fe365f1d6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Jun 19 21:51:43 2012 +0200

    Updated Polish translation

 po/pl.po |  128
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 66 insertions(+), 62 deletions(-)

commit bf8e42330b441202a07461857107779fc126abcb
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Mon Jun 18 18:14:42 2012 +0200

    Bug 677375: tools do not strictly follow mouse...

    pointer (missing motion events)

    Disable calls gimp_help_set_help_data for shell->canavs

 app/display/gimpdisplayshell.c |   11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit df1752f2876120567af9c8a1dc3bc69d00fbd950
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Sun Jun 17 12:48:34 2012 +0300

    Updated 2 Greek translations

 po-plug-ins/el.po |  370
 +++++++++++++++++++++++++++++------------------------
 po/el.po          |  227 ++++++++++++++++----------------
 2 files changed, 317 insertions(+), 280 deletions(-)

commit 6a5b3b61d760f2c97c49c9d9fcdd0ab4a753f2f1
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sat Jun 16 22:20:06 2012 +0200

    Updated Slovenian translation

 po/sl.po |  136
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 70 insertions(+), 66 deletions(-)

commit b16aab1e8ed68150b42a688b332b1c123acdb103
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Jun 13 10:08:31 2012 +0200

    Updated Spanish translation

 po/es.po |   17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

commit 9eb45ed8d7a58c345ac8e1027901787e58d32ae5
Author: Mikael Magnusson <mikachu@src.gnome.org>
Date:   Wed Jun 13 02:12:27 2012 +0200

    metadata: fix length passed to base64 decoder
    (cherry picked from commit a4cd8637af7e29a3b78fda6034aa1889df050540)

 plug-ins/metadata/xmp-parse.c |    5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 310a8c4458d72fdcf4f06922108163a6bd3d8239
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Jun 12 22:51:32 2012 +0200

    app: get the help_id from the right action in
    gimp_editor_add_action_button()
    (cherry picked from commit 4fbf01baefb346826b3895d47692519d24274248)

 app/widgets/gimpeditor.c |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit d81669a671a1a849dff8400e6c1cb6b9fe48bac1
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Jun 12 22:33:47 2012 +0200

    Bug 677974 - GIMP suggests XCF as default export format

    Only auto-add .xcf if it's a save (not an export) dialog, instead do
    not auto-add anything and ask the user to enter an extension, that's
    less mysterious than saving in the last-exported format which the user
    maybe doesn't remember or want.
    (cherry picked from commit 2f8d45611cb5f9bb90280c20f84f4a70ce7f4050)

 app/dialogs/file-save-dialog.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 687fbf458312e73c63c4e2a7c3cb49525cd59689
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Jun 12 21:39:40 2012 +0200

    Bug 677823 - Shift + mouse click to link all layers does not work

    This got lost during layer group porting, reimplement it, but restrict
    "all layers" to the clicked layer's branch in the tree.
    (cherry picked from commit 67b5a509b6c830e59f0f9edaae78899afc0ec1c8)

 app/core/gimpitem-exclusive.c  |   91
 +++++++++++++++++++++++++++++++++++++++-
 app/core/gimpitem-exclusive.h  |    2 +
 app/widgets/gimpitemtreeview.c |    2 +-
 3 files changed, 92 insertions(+), 3 deletions(-)

commit 8ec18b847cd7eba16b6e3048c0ee5fb4e7f6b110
Author: Eulalia <eulaliapages@gmail.com>
Date:   Sun Jun 10 22:56:11 2012 +0200

    [l10n] Update Catalan translation

 po/ca.po | 6497
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 3475 insertions(+), 3022 deletions(-)

commit 6b63e85a88bb686005b59710725cbc5c368b5f68
Author: Albert F <lakonfrariadelavila@gmail.com>
Date:   Sun Jun 10 22:55:49 2012 +0200

    [l10n] Update Catalan translation

 po-plug-ins/ca.po | 1336
 ++++++++++++++++++++++++++++-------------------------
 1 file changed, 703 insertions(+), 633 deletions(-)

commit a4ecfde635f993a6c196cacbf357623a93bb0e5b
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Sun Jun 10 17:20:43 2012 +0200

    Bug 677375: tools do not strictly follow mouse...

    pointer (missing motion events)

 app/display/gimpcanvas.h |    1 -
 1 file changed, 1 deletion(-)

commit 7212f9973dbf88f627469d7e5ecf5d14e4b7a9fe
Author: Kristian Rietveld <kris@loopnest.org>
Date:   Sat Jun 9 22:32:02 2012 +0200

    Avoid using CMFlattenProfile

    This symbol is not available to 64-bit applications.  So put another
    approach in place.

    I can confirm that the code does not crash, but I do not know if it
    works properly.  Mitch forced me to push anyway.
    (cherry picked from commit 9514cf4871efbb0b13fc808c1277dbc467e43cac)

 modules/display-filter-lcms.c |   71
 ++++++++++-------------------------------
 1 file changed, 16 insertions(+), 55 deletions(-)

commit 9783b68d0fcf84e1e784418d0c1194331e1cf0c3
Author: Marco Ciampa <ciampix@libero.it>
Date:   Sat Jun 9 20:31:41 2012 +0200

    Little italian translation fix.

 po/it.po |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0ba99a05ff162a6894686035398b0a82a348a5d7
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Sat Jun 9 15:36:35 2012 +0200

    Bug 673729: tiff plug in not working 2.8.0-RC1 windows install

    implement win32 filename Unicode management in the plug-ins
    to work-around a problem in libtiff TIFFFdOpen.

    Based on a patch from Hartmut Kuhse.

 plug-ins/common/file-tiff-load.c |   46
 ++++++++++++++++++++++----------------
 plug-ins/common/file-tiff-save.c |   41 +++++++++++++++++++++++++--------
